.nav-modal-bg {
  position: fixed;
  display: block;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  pointer-events: none;
  transition: 0.3s opacity ease;
  z-index: 1;
}
.nav-modal-bg.visible {
  opacity: 1;
  pointer-events: inherit;
}
nav {
  position: fixed;
  width: 270px;
  height: 100vh;
  background: #fff;
  border-right: 1px solid #DEE2E6;
  box-shadow: 0px 0px 5px #444;
  user-select: none;
  transition: 0.5s width ease;
  z-index: 2;
}
@media (min-width: 768px) {
  nav {
    box-shadow: 0px 0px 5px #ddd;
  }
}
nav.shrink-left {
  width: 0px;
  overflow-x: hidden;
}
nav.shrink-left::after {
  opacity: 1;
}
nav.shrink-left > .nav-container {
  width: 0px;
}
nav > .nav-container {
  position: fixed;
  width: 270px;
  height: 100vh;
  overflow-x: hidden;
  transition: 0.5s width ease;
}
.navbar-brand {
  cursor: pointer;
}
#navHeader {
  position: fixed;
  top: 0px;
  left: 0px;
  display: inline-block;
  width: 270px;
  height: 60px;
  padding: 0px;
  background: #fff;
  z-index: 3;
}
@media (max-width: 991px) {
  #navHeader {
    position: fixed;
    width: 100%;
    background: #fff;
    box-shadow: 0px 0px 5px #ddd;
  }
  #navHeader .navbar-brand {
    font-size: 25px;
  }
}
/*
  #navHeader > .mobile-header {
    position: fixed;
    justify-content: space-between;
    width: 100%;
    height: 60px;
    background: #fff;
    box-shadow: 0px 0px 5px #ddd;
  }*/
#navSidebar {
  margin-top: 60px;
}
#navSidebar .e-accordion {
  border-left: 0px;
  border-radius: 0px;
}
/*
  #navSidebar .e-acrdn-header > .e-acrdn-header-content {
    font-weight: bold;
  }
  */
#navSidebar .e-acrdn-content {
  padding: 0px;
}
#navSidebar .e-accordion .e-acrdn-item:first-child .e-acrdn-header:focus {
  border-radius: 0px;
}
#navSidebar .e-accordion .nav-ul {
  list-style: none;
  padding-left: 0px;
}
#navSidebar .e-accordion .nav-ul > li {
  display: flex;
  align-items: center;
  /* justify-content: space-between; */
  padding: 10px 15px;
  border-bottom: 1px solid #ddd;
  color: #444;
  cursor: pointer;
  transition: 0.3s all ease;
}
#navSidebar .e-accordion .nav-ul > li:hover,
#navSidebar .e-accordion .nav-ul > li.active {
  background-color: #fafafa;
  color: #000;
}
#navSidebar .e-accordion .nav-ul > li.active .oi {
  color: #0078d7;
}
#navSidebar .e-accordion .nav-ul > li > span.oi {
  text-align: center;
}
#navSidebar .e-accordion .nav-ul > li > span.e-acrdn-text {
  padding-left: 5px;
}
.navbar-toggler {
  background-color: rgba(255, 255, 255, 0.1);
}
.navbar-brand {
  font-size: 1.1rem;
}
.oi {
  width: 2rem;
  font-size: 1.1rem;
  vertical-align: text-top;
}
.nav-item {
  font-size: 0.9rem;
  padding-bottom: 0.5rem;
}
.nav-item:first-of-type {
  padding-top: 1rem;
}
.nav-item:last-of-type {
  padding-bottom: 1rem;
}
.nav-item a {
  color: #d7d7d7;
  border-radius: 4px;
  height: 3rem;
  display: flex;
  align-items: center;
  line-height: 3rem;
}
.nav-item a.active {
  background-color: rgba(255, 255, 255, 0.25);
  color: white;
}
.nav-item a:hover {
  background-color: rgba(255, 255, 255, 0.1);
  color: white;
}
@media (min-width: 641px) {
  .navbar-toggler {
    display: none;
  }
  .collapse {
    /* Never collapse the sidebar for wide screens */
    display: block;
  }
  .nav-scrollable {
    /* Allow sidebar to scroll for tall menus */
    height: calc(100vh - 3.5rem);
    overflow-y: auto;
  }
}
.e-sidebar {
  position: sticky;
  top: 55px !important;
  background-color: #f8f8f8;
  color: #000;
}
.e-menu-container {
  margin-top: 10px;
}
.text-content {
  font-size: 1.5rem;
  padding: 3rem;
}
.e-menu-container ul .e-menu-item .e-menu-icon,
.e-menu-container ul .e-menu-item.e-focused .e-menu-icon,
.e-menu-container ul .e-menu-item.e-selected .e-menu-icon {
  color: black;
}
.e-sidebar.e-close .e-menu-container ul .e-menu-item .e-caret {
  display: none;
}
.e-close .e-menu-container ul .e-menu-item {
  width: 44px;
}
.e-sidebar.e-close .e-menu-container ul .e-menu-item.e-menu-caret-icon,
.e-sidebar.e-close .e-menu-container ul.e-vertical {
  min-width: 0;
  width: 44px !important;
}
.e-sidebar.e-close .e-menu-container ul .e-menu-item {
  height: 40px;
}
.e-sidebar.e-close .e-menu-container ul .e-menu-item .e-menu-icon {
  font-size: 24px !important;
}
.main > div {
  padding: 0px !important;
}
.main-treeview .icon-microchip::before,
.dock-menu .icon-microchip::before {
  content: '\e806';
}
